Package org.eclipse.gef.common.adapt

# Class IAdaptable.Bound.Impl<T extends IAdaptable>

java.lang.Object
org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<T>

Type Parameters:
  `T` - The type of `IAdaptable` which this class is bound to.

All Implemented Interfaces:
  `IAdaptable.Bound<T>`

Enclosing interface:
  IAdaptable.Bound<A extends IAdaptable>

public static class IAdaptable.Bound.Impl<T extends IAdaptable> extends Object implements IAdaptable.Bound<T>
Default implementation of `IAdaptable.Bound` that manages a `ReadOnlyObjectProperty` for the `IAdaptable`.

## Property Summary

Properties
Type
Property
Description
`javafx.beans.property.ReadOnlyObjectProperty<T>`
`adaptable`
A read-only object property providing the `IAdaptable` this `IAdaptable.Bound` is bound to.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Constructor Summary

Constructors
Constructor
Description
`Impl()`

## Method Summary

Modifier and Type
Method
Description
`javafx.beans.property.ReadOnlyObjectProperty<T>`
`adaptableProperty()`
A read-only object property providing the `IAdaptable` this `IAdaptable.Bound` is bound to.
`T`
`getAdaptable()`
Gets the value of the property adaptable.
`void`
`setAdaptable(T adaptable)`
Sets the value of the property adaptable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Property Details

### adaptable

public javafx.beans.property.ReadOnlyObjectProperty<T extends IAdaptable> adaptableProperty

Specified by:
  `adaptableProperty` in interface `IAdaptable.Bound<T extends IAdaptable>`
See Also:
  - `getAdaptable()`
  - `setAdaptable(T)`

## Constructor Details

### Impl

public Impl()

## Method Details

### adaptableProperty

public javafx.beans.property.ReadOnlyObjectProperty<T> adaptableProperty()
Description copied from interface: `IAdaptable.Bound`
A read-only object property providing the `IAdaptable` this `IAdaptable.Bound` is bound to.

Specified by:
  `adaptableProperty` in interface `IAdaptable.Bound<T extends IAdaptable>`
See Also:
  - `getAdaptable()`
  - `setAdaptable(T)`

### getAdaptable

public T getAdaptable()
Gets the value of the property adaptable.

Specified by:
  `getAdaptable` in interface `IAdaptable.Bound<T extends IAdaptable>`
Property description:
Returns:
  The `IAdaptable` this `IAdaptable.Bound` is currently bound to, or `null` if this `IAdaptable.Bound` is currently not bound to an `IAdaptable`.

### setAdaptable

public void setAdaptable(T adaptable)
Sets the value of the property adaptable.

Specified by:
  `setAdaptable` in interface `IAdaptable.Bound<T extends IAdaptable>`
Property description:
Parameters:
  `adaptable` - The `IAdaptable` this `IAdaptable.Bound` is bound to or `null` to unbind this `IAdaptable.Bound`.